#ifndef MARS_MElectron
#define MARS_MElectron

#ifndef MARS_MParticle
#include "MParticle.h"
#endif

class MElectron : public MParticle
{
public:
    MElectron(Double_t e=0, Double_t z=0) : MParticle(MParticle::kEGamma)
    {
        fEnergy = e;
        fZ      = z;
    }

    // ----------------------------------------------------------------

    static Double_t Planck(Double_t *x, Double_t *k=NULL);
    static Double_t Li(Double_t *x, Double_t *k);
    static Double_t Li2(Double_t *x, Double_t *k=NULL);
    static Double_t Flim(Double_t *x, Double_t *k=NULL);
    static Double_t Compton(Double_t *x, Double_t *k);
    static Double_t InteractionLength(Double_t *E, Double_t *k=NULL);
    static Double_t GetInteractionLength(Double_t E, Double_t z=0);

    Double_t GetInteractionLength() const;

    // ----------------------------------------------------------------

    static Double_t p_e(Double_t *x, Double_t *k);
    static Double_t G_q(Double_t *x, Double_t *k);
    static Double_t EnergyLoss(Double_t *E, Double_t *z=NULL);
    static Double_t GetEnergyLoss(Double_t E, Double_t z=0);

    Double_t GetEnergyLoss() const;

    ClassDef(MElectron, 1)
};

#endif
